/***************************************************************************
 *   Copyright (C) 2005 by Nicolas Ternisien                               *
 *   nicolas.ternisien@gmail.com                                           *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.             *
 ***************************************************************************/
#ifndef _LOG_LEVEL_H_
#define _LOG_LEVEL_H_

#include <tqobject.h>
#include <tqpixmap.h>
#include <tqstringlist.h>
#include <tqfile.h>
#include <tqvaluevector.h>
#include <tqvaluelist.h>
#include <tqptrlist.h>
#include <tqcolor.h>

#include <kurl.h>

#include "globals.h"


class LogLevel;

typedef TQPtrList<LogLevel> LogLevels;



/**
 * @author Nicolas Ternisien
 */
class LogLevel {
	
	public:
		LogLevel(int id, TQString& name, TQString& icon, TQColor& color);
		LogLevel(int id, TQString name, const char* icon, TQColor color);



		virtual ~LogLevel();

		int id;
		TQString name;
		
		TQString icon;
		
		TQColor color;

		TQPixmap pixmap;
};


#endif
